メインコンテンツへスキップ
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
credentials
/
{credential_id}
マスターパスワードを更新
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/credentials/{credential_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "created_at": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

account_id
string<uuid>
必須
credential_id
string<uuid>
必須

ボディ

application/json

マスターパスワードの名前を変更するリクエスト。

name
string
必須

マスターパスワードの表示名

Required string length: 1 - 100

レスポンス

created_at
string
必須

マスターパスワード作成時刻

id
string<uuid>
必須

マスターパスワード UUID

name
string
必須

マスターパスワードの表示名

scope_id
string<uuid>
必須

マスターパスワードスコープのリソース UUID

scope_type
enum<string>
必須

マスターパスワードが適用されるリソーススコープの種類

利用可能なオプション:
account,
workspace,
domain
updated_at
string
必須

マスターパスワードの最終更新時刻